Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.management.common
Interface ProxyResourceManager

All Known Subinterfaces:
  ProxyBookManager, ProxyPageManager

    public interface ProxyResourceManager

Defines common proxy resource management methods.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`void` | `makePrimary(javax.servlet.http.HttpServletRequest httpServletRequest, ProxyResourceId proxyResourceId)` Marks the proxy resource represented by `proxyResourceId` as the primary proxy resource within the set of proxy resources that represent the same proxied resource.

Method Detail

### makePrimary

    void makePrimary(javax.servlet.http.HttpServletRequest httpServletRequest,
                     ProxyResourceId proxyResourceId)
                     throws ProxyResourceManagerException

  Marks the proxy resource represented by `proxyResourceId` as the primary proxy resource within the set of proxy resources that represent the same proxied resource. The current primary resource is set to non-primary.

  Parameters
    `httpServletRequest` -
    `proxyResourceId` -
  Throws
    `ProxyResourceManagerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.